package models

// ReportCreateReq 创建报告
type ReportCreateReq struct {
	ReportId   int      `description:"智力共享报告ID"`
	ClassifyId int      `description:"分类ID"`
	Title      string   `description:"报告标题"`
	EndTime    string   `description:"课题结束时间"`
	Creator    string   `description:"创建人工号"`
	Authors    []string `description:"作者工号"`
}

// ReportCreateResp 创建报告响应
type ReportCreateResp struct {
	ReportId int `description:"智能研报ID"`
	//ReportCode string `description:"报告唯一编码"`
}

// ReportModifyReq 编辑报告
type ReportModifyReq struct {
	ReportId int      `description:"智力共享报告ID"`
	Title    string   `description:"报告标题"`
	EndTime  string   `description:"课题结束时间"`
	Authors  []string `description:"作者工号"`
	Operator string   `description:"操作人工号"`
}

// ReportApproveReq 审批报告
type ReportApproveReq struct {
	ReportIds   []int  `description:"智力共享报告ID"`
	ApproveType int    `description:"审批类型：1-通过；2-驳回；3-撤回"`
	ApproveUser string `description:"审批人"`
	Suggestion  string `description:"审批意见"`
}

// ReportRemoveReq 删除报告
type ReportRemoveReq struct {
	ReportIds []int  `description:"智力共享报告ID"`
	Operator  string `description:"操作人工号"`
}
